Subject: bug#57505: closed (Re: bug#57505: 29.0.50; Is loading seq.el before using it necessary?)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 31 Aug 2022 16:17:02 +0000

Your bug report

#57505: 29.0.50; Is loading seq.el before using it necessary?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57505: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57505
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57505: 29.0.50; Is loading seq.el before using it necessary?
From: Eli Zaretskii <[email-masked]>
To: Arash Esbati <[email-masked]>
Cc: [email-masked]
Date: Wed, 31 Aug 2022 19:16:28 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Arash Esbati <[email-masked]>
> Date: Wed, 31 Aug 2022 16:04:35 +0200
> 
>     The @file{seq.el} library provides the following additional sequence
>   manipulation macros and functions, prefixed with @code{seq-}.  To use
>   them, you must first load the @file{seq} library.
> 
> Is the last sentence (still?) true?  I'm not really familiar with Emacs'
> startup process, but seq.el seems to be preloaded, so require'ing it
> isn't necessary.  Or am I missing something?

Thanks, fixed.

Subject: 29.0.50; Is loading seq.el before using it necessary?
From: Arash Esbati <[email-masked]>
To: emacs-bugs <[email-masked]>
Date: Wed, 31 Aug 2022 16:04:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

doc/lispref/sequences.texi says this starting in line 448:

    The @file{seq.el} library provides the following additional sequence
  manipulation macros and functions, prefixed with @code{seq-}.  To use
  them, you must first load the @file{seq} library.

Is the last sentence (still?) true?  I'm not really familiar with Emacs'
startup process, but seq.el seems to be preloaded, so require'ing it
isn't necessary.  Or am I missing something?

Best, Arash